package superwaba.ext.xplat.html;

/**
 * The <code>ElementCollection</code> interface is an abstract way
 * to represent a vector of Element objects.  A document is an element
 * collection as is a HtmlTable cell.
 *
 * @version $Header: $
 * @author Jim Guistwite
 */

public interface ElementCollection
{
  /**
   * This method is called to add an element to the collection.
   * @param obj object to be added.
   */
  public void add(Element obj);
}
