package superwaba.ext.xplat.html;

/**
 * The <code>HtmlHandler</code> class is a base class for internal
 * use in parsing the HTML document by the HTML renderer.
 *
 * @version $Header: $
 * @author Jim Guistwite
 */

abstract class HtmlHandler implements HtmlListener
{
  HtmlParser parser;
  HtmlHandler parent;

  public HtmlHandler(HtmlParser parser)
  {
    this.parser = parser;
  }

  public void pop()
  {
    parser.tok.listener = parent;
  }

  public void push(HtmlHandler newOne)
  {
    newOne.parent = this;
    parser.tok.listener = newOne;
  }

}

