/*********************************************************************************
 *  Copyright (C) 2002 Guilherme Campos Hazan <guich@superwaba.org.>             *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library is NOT free software.                                           *
 *  Once you paid for it, you can use it in how many devices you want.           *
 *                                                                               *
 *********************************************************************************/

package superwaba.ext.xplat.io.print;

/** This exception is thrown when a printer error occurs. You may get the detailed
  * error description using <code>PrintManager.getDetailedErrorMessage</code> */

public class PrinterException extends Exception
{
   public PrinterException()
   {
   }

   public PrinterException(String msg)
   {
	   super(msg);
   }
}
