package superwaba.ext.xplat.game;

import waba.sys.Vm;
import waba.ui.Event;

/**
 * Events posted by an animation control.
 */

public class AnimationEvent extends Event
{
   /** The event type when the animation loops. */
   public static final int LOOP = waba.ui.Event.getNextAvailableEventId();
   /** The event type when a new frame is displayed. */
   public static final int FRAME = waba.ui.Event.getNextAvailableEventId();
   /** The event type when the animation ends. */
   public static final int FINISH = waba.ui.Event.getNextAvailableEventId();

   public AnimationEvent(int type, Object target)
   {
     super(type,target,Vm.getTimeStamp());
   }
}
