package superwaba.ext.xplat.html;

/**
 * The <code>HtmlControl</code> inteface is used by the renderer
 * to process form elements.  Each control that is used in a form
 * must implement this interface.
 *
 * @version $Header: $
 * @author Jim Guistwite
 */

public interface HtmlControl
{
  /**
   * Set the renderer associated with this form element.
   * @param r HtmlRenderer instance this control is part of.
   */
  public void setRenderer(HtmlRenderer r);
}
