/*********************************************************************************
 *  Copyright (C) 2002 Guilherme Campos Hazan <guich@superwaba.org.>             *
 *  All Rights Reserved                                                          *
 *                                                                               *
 *  This library is NOT free software.                                           *
 *  Once you paid for it, you can use it in how many devices you want.           *
 *                                                                               *
 *********************************************************************************/

package superwaba.ext.xplat.io.print;

/** This exception is thrown when a not supported function is used.
  * Functions may be available in some drivers but not in others.
  */

public class NotSupportedException extends Exception
{
   public NotSupportedException()
   {
   }

   public NotSupportedException(String msg)
   {
	   super(msg);
   }
}
