
/*********************************************************************************
  *  SuperWaba Virtual Machine, version 4                                         *
  *  Copyright (C) 2003 Guilherme Campos Hazan <support@superwaba.com.br>         *
  *                 and Andy DePue <sir_anodos@yahoo.com>                         *
  *  All Rights Reserved                                                          *
  *                                                                               *
  *  This library and virtual machine is free software; you can redistribute      *
  *  it and/or modify it under the terms of the Amended GNU Lesser General        *
  *  Public License distributed with this software.                               *
  *                                                                               *
  *  This library and virtual machine is distributed in the hope that it will     *
  *  be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of    *
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                         *
  *                                                                               *
  *  All software that links or interacts with this library and virtual machine,  *
  *  or any derivative works, require the software to prominently display the     *
  *  following notice:                                                            *
  *                                                                               *
  *                   Created with SuperWaba                                      *
  *                  http://www.superwaba.org                                     *
  *                                                                               *
  *  Please see the software license located at SuperWabaSDK/license.txt          *
  *  for more details.                                                            *
  *                                                                               *
  *  You should have received a copy of the License along with this software;     *
  *  if not, write to                                                             *
  *                                                                               *
  *     Guilherme Campos Hazan                                                    *
  *     Av. Nossa Senhora de Copacabana 728 apto 605 - Copacabana                 *
  *     Rio de Janeiro / RJ - Brazil                                              *
  *     Cep: 22050-000                                                            *
  *     E-mail: support@superwaba.com.br                                          *
  *                                                                               *
  *********************************************************************************/
package superwaba.ext.xplat.sql.db2e.db2ex;
import java.lang.*;

public class DB2Exception extends Exception
{

   // WARNING!  DO NOT CHANGE THE ORDER THAT THESE FIELDS APPEAR IN THIS

   // CLASS, AS THE NATIVE CODE REFERENCES THE FIELDS BY #.

   // IF YOU NEED TO ADD FIELDS, ADD THEM AFTER THE LAST FIELD DEFINED HERE.

   // IF YOU NEED TO REMOVE FIELDS, BE SURE TO MODIFY THE NATIVE CODE.

   // ALSO, SINCE THIS CLASS EXTENDS Exception, IF Exception SHOULD EVER HAVE

   // FIELDS ADDED OR REMOVED, THEN YOU WILL HAVE TO MODIFY THE NATIVE CODE

   // FIELD INDEX VALUES.
   protected byte[] _sqlState = new byte[5];
   protected int _nativeErr = 21;
   protected int _sqlErr = 22;
   public DB2Exception(String msg)
   {
      super(msg);
      waba.sys.Vm.debug("DB2Exception(String)");
   }
   public DB2Exception()
   {
      super();
      waba.sys.Vm.debug("DB2Exception()");
   }
   public byte[] getSQLState()
   {
      return _sqlState;
   }
   public int getNativeErr()
   {
      return _nativeErr;
   }
   public int getSQLErr()
   {
      return _sqlErr;
   }
}
