/*
 * XmlLiteParser version 1.0
 * Created on September 26, 2002
 *
 * Copyright (C) 2002
 * Giovanni Remigi
 * via Procche n.28 36030 Zugliano (Vicenza),
 * Italy. All Rights Reserved.
 *
 * The contents of this file are subject to the "Lesser GNU Public License"
 * (LGPL); you may not use this file except in compliance with the License.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific terms governing rights and limitations under the License.
 *
 * Thanks to Fabiano Dal Castello for providing various fixes and hints.
 *
 * Reestructured and optimized by Guich for SuperWaba 3.3.
 */

package superwaba.ext.xplat.util.xml;

/**
 * This exception is thrown by parser when encountering a syntax error.
 * @author Giovanni Remigi
 */

public class ParserException extends Exception
{

    /**
     * Creates a new instance of <code>ParserException</code> without detail
     * message.
     */
    public ParserException() {
    }

    /**
     * Constructs an instance of <code>ParserException</code> with the
     * specified detail message.
     * @param msg the detail message.
     */
    public ParserException(String msg) {
        super(msg);
    }
}
