package waba.sys;

/**
 * This exception is thrown when Event.handleOneEvent() encounteres an event
 * that requires the app to exit.  The main purpose of this event is to unwind
 * the stack all the way back to the main event loop so that the app can
 * properly exit.
 * WARNING: DO NOT CATCH THIS EXCEPTION IN YOUR APP UNLESS YOU KNOW WHAT YOU
 * ARE DOING.
 */

public class AppExitException extends RuntimeException
{
  public AppExitException()
  {
    super();
  }

  public AppExitException(String msg)
  {
    super(msg);
  }
}